{pkgs, ...}: {
  programs.git = {
    package = pkgs.gitAndTools.gitFull;
    extraConfig = {
      credential.helper = [
        # Cache credentials for 2 weeks
        "cache --timeout 1209600"
        "oauth"
      ];
    };
  };

  home.packages = with pkgs; [
    git-credential-oauth
  ];
}
